/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Plana;

/**
 *
 * @author sistem16user
 */
public interface PlanaDAO {
   public ArrayList<Plana> listarPlana() throws Exception; 
   public ArrayList<Plana> listarPlanaAsiste(String codDocente,String codPer,String codArea) throws Exception; 
   public void cambiarEstado(String dato, String codigoPlana) throws Exception;
   public void Actualizar(String codigoPlana, String nombre, String codigoArea,String color) throws Exception;
   public void registrarPlana(String nombrePlana,String CodigoArea) throws Exception;
   public void registrarPlana(String nombrePlana,String CodigoArea,String color) throws Exception;
   public String codigoPlanaRegistrar(String nombrePlana,String CodigoArea,String color) throws Exception;
   public Plana NombrePlana(String cod) throws Exception;
   public ArrayList<Plana> listarPlana(String codigoArea) throws Exception;
   
   public ArrayList<Plana> cargarPlana(String codArea) throws Exception;
   public ArrayList<Plana> cargarPlanaMatematica() throws Exception;
   public ArrayList<Plana> cargarPlanaComunicacion() throws Exception;
   public ArrayList<Plana> cargarPlanaCiencias() throws Exception;
   public ArrayList<Plana> cargarPlanaCTA() throws Exception;
   public ArrayList<Plana> cargarPlanaCEF() throws Exception;
	 
	 
	 
   public ArrayList<Plana> Editar(String cod) throws Exception;
   public int cantidadUsoPlana(String codigoPlana) throws Exception;
   public int registrarPlanaDocente(String codigoPlana, String codigoDocente,String codigoPeriodo) throws Exception;
   
}
